#pragma GCC optimize("Ofast")
#include <bits/stdc++.h>

using namespace std;

#define int long long

const int maxn = 5e5 + 10;
vector<int> lst(maxn, 0);
int n, k;


signed main() {
    ios::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cout.precision(15);
    cin >> n >> k;
    for (int i = 0; i < n; i++) {
        cin >> lst[i];
    }
    sort(lst.begin(), lst.begin() + n);
    reverse(lst.begin(), lst.begin() + n);
    int ans = n;
    for (int i = 0; i < k; i++) {
        ans += lst[i];
    }
    cout << ans << endl;
}
